import { ValidateResult, StandardValidator } from 'aurelia-validation';
import * as breeze from 'breeze-client';
import { I18N } from 'aurelia-i18n';
export declare class BreezeValidator {
    private i18N;
    private standardValidator;
    constructor(i18N: I18N, standardValidator: StandardValidator);
    ruleExists(rules: any, rule: any): boolean;
    validateObject(entity: breeze.Entity): Promise<ValidateResult[]>;
    validateProperty(entity: breeze.Entity, propertyName: any): Promise<ValidateResult[]>;
    translatePropertyName(entity: breeze.Entity, key: string, errorMessage: string, propertyName: string): string;
    getTranslateFromTrEntry(translsationKey: string, fromCommon?: Boolean): string;
}
